# Open a client socket on the local system 
# (for testing purposes.)

set input [socket 127.0.0.1 55555]

# Create a small text window.
text .t -height 8 -width 40
pack .t

# And a quit button
button .b -text "Quit" -command "exit"
pack .b

while {[gets $input line] > 0} {
   
   # Parse the line into a set of variables.
   foreach {name size used avail pct mount} $line {}

   # A check to see if this is a new set of df data.  
   #  There will be a duplicate name when we start a new dataset.

   if {[info exists Data($name)]} {
       unset Data
       .t delete 0.0 end
   }
   
   # Get rid of the '%' symbol in the percent usage field
   regsub "%" $pct "" pct
   
   # Only report if disk usage is more than 95 %.
   if {$pct > 95} {
       .t insert end "DANGER: $mount has only $avail blocks\n"
   }      
   set Data($name) $input
   update
}
          
